#
# spec file for package perl-Router-Simple
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Router-Simple
Version:        0.17
Release:        bp155.2.9
%define cpan_name Router-Simple
Summary:        simple HTTP router
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Router-Simple/
Source:         http://www.cpan.org/authors/id/T/TO/TOKUHIROM/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Accessor::Lite) >= 0.05
BuildRequires:  perl(Module::Build) >= 0.38
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(parent)
Requires:       perl(Class::Accessor::Lite) >= 0.05
Requires:       perl(parent)
%{perl_requires}

%description
Router::Simple is a simple router class.

Its main purpose is to serve as a dispatcher for web applications.

Router::Simple can match against PSGI '$env' directly, which means it's
easy to use with PSGI supporting web frameworks.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE minil.toml README.md

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.17
  see /usr/share/doc/packages/perl-Router-Simple/Changes
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.15
  - minil migrate.  (tokuhirom)
  - typo fix (David Steinbrunner)
* Mon Jun 17 2013 coolo@suse.com
- updated to 0.14
  - added 'routes' acecessor for Router::Simple class.
    And switch to Class::Accessor::Lite.
  - Added ->method_not_allowed()
  - minor pod fix
  - Added warnings when regexp contains parens.
    i.e. following code does not works.
    /{year:(\d+)}/{month:(\d+)}{day:(\d+)}
    Q. Why don't you croak?
    A. I don't want to break existed code.
    But I may change this feature in future version.
  - handle empty PATH_INFO as root
    (tokuhirom)
* Mon Jun 17 2013 coolo@suse.com
- update to 0.09
  - modernize package
* Wed Feb 16 2011 pascal.bleser@opensuse.org
- initial version (0.08)
